/domains/{id} (PATCH)
PATCH
/domains/{id}
const url = 'https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"active":true,"defaultQuotaBytes":1,"routing":"local","categories":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "active": true, "defaultQuotaBytes": 1, "routing": "local", "categories": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
active
boolean
defaultQuotaBytes
integer
routing
string
categories
boolean
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
id
required
string format: uuid
name
required
string
active
required
boolean
defaultQuotaBytes
required
integer
routing
required
string
categories
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "routing": "local"}